package com.tykj.model.service;




import com.tykj.model.entity.Quote;
import com.tykj.model.entity.vo.SearchQuoteVO;
import com.tykj.model.entity.vo.UpdateQuoteVO;

import java.util.List;

/**
 * @Description TODO
 * @Author WWW
 * @Date 2021/5/17 15:58
 */
public interface QuoteService {

    /**
     * 更新quote
     * @param updateQuoteVO
     */
    int updateQuote(UpdateQuoteVO updateQuoteVO);

    /**
     * 条件查询引用
     * @param searchQuoteVO
     * @return
     */
    List<Quote> getAllQuote(SearchQuoteVO searchQuoteVO);

    Quote saveQuote(Quote quote);

    Integer delQuote(Integer id);

}
